Subject: Re: 29.4; Emacs daemon on Windows OS

From: Constantin Kulikov <[email-masked]>
Date: Mon, 29 Jul 2024 13:52:39 +0300

*> So the "solution" is not to specify any custom command line arguments.*

The actual solution is to remove all custom arguments from the
`command-line-args-left' while config is loading.

Then "THE BUG" is that the emacs daemon silently stays in half-working more
like a hanging state in case if `command-line-args-left' is not nil after
config is loaded.

On Mon, 29 Jul 2024 at 12:28, Constantin Kulikov <[email-masked]>
wrote:

> So the "solution" is not to specify any custom command line arguments.
> I consider it as a bug.
>
>
> On Mon, 29 Jul 2024 at 03:20, Constantin Kulikov <[email-masked]>
> wrote:
>
>> *> input from terminal is not working properly*
>> Well this is not true. It works with standard read-* methods, and fail if
>> used with for example ivy-mode.
>>
>> On Mon, 29 Jul 2024 at 01:08, Constantin Kulikov <[email-masked]>
>> wrote:
>>
>>> (And even the input from terminal is not working properly in that case.
>>> You can enter
>>> string to terminal and it reacts to Enter key press, but seems like
>>> input received by emacs is always nil)
>>>
>>